![](https://img.shields.io/github/license/rchakode/hugo-mx-gateway.svg?label=License)
[![Actions Status](https://github.com/rchakode/hugo-mx-gateway/workflows/Build/badge.svg)](https://github.com/rchakode/hugo-mx-gateway/actions)


---

- [Overview](#overview)
  - [Hugo-mx-gateway in a Nutshell](#hugo-mx-gateway-in-a-nutshell)
- [Getting Started](#getting-started)
- [License & Copyrights](#license--copyrights)
- [Support & Contributions](#support--contributions)

# Overview
Did you ever experience building a static website (e.g. using [Hugo](https://gohugo.io/) or whatever alternative), then did get stuck when coming the time to add a contact/demo request form?

You're at the right place.

This project, namely `hugo-mx-gateway`, is meant to provide a RESTful API that adds the dynamicity required to handle contactdemo requests for static web sites. It's a simple, yet a powerful tool built for this only-designated purpose.


![](hugo-mx-gateway-architecture-overview.png)


## Hugo-mx-gateway in a Nutshell
`hugo-mx-gateway` provides a RESTful POST endpoint for static contact/demo request pages. It's a simple, yet a powerful tool built for this only-designated purpose.

> **This project is used in production for several static websites built with [Hugo](https://gohugo.io/);
Contributions in any form (code/docs/ideas...) are welcomed.** 


# Getting Started
Use the following resoures to deploy and get started with hugo-mx-gateway.

* [Deployment on Kubenetes](./docs/deployment-on-kubernetes.md)
* [Deployment on Google Computinf Engine](./docs/deployment-on-kubernetes.md)
* [Deployment on Docker](./docs/deployment-on-kubernetes.md)
* [Deployment on Debian](./docs/deployment-on-debian.md)
* [Configuration Variables](./docs/configuration-variables.md)
* [Sample of contact form for Hugo](./docs/sample-of-hugo-dontact-form.md)

# License & Copyrights
This tool (code and documentation) is licensed under the terms of Apache 2.0 License. Read the [LICENSE](LICENSE) file for more details on the license terms.

The tool may inlcude third-party libraries provided with their owns licenses and copyrights, but always compatible with the Apache 2.0 License terms of use.

# Support & Contributions
We encourage feedback and do make our best to handle any troubles you may encounter when using this tool.

Here is the link to submit issues: https://github.com/rchakode/hugo-mx-gateway/issues.

New ideas are welcomed, please open an issue to submit your idea if you have any one.

Contributions are accepted subject that the code and documentation be released under the terms of Apache 2.0 License.

To contribute bug patches or new features, please use the Github Pull Request model.
